/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_DBDIR_ROLLBACK_P_H
#define AQDB_DBDIR_ROLLBACK_P_H


#include "rollback_l.h"

#include <aqdatabase/backendsupport/aqdb_sessionlog.h>

#include <gwenhywfar/idlist64.h>


static int AQDB_DbDir__GetSessionObjectIds(AQDB_DB *db, AQDB_ID sid, GWEN_IDLIST64 *idlist);
static int AQDB_DbDir__WriteObjectFromLog(AQDB_DB *db, const AQDB_SESSION_LOG *sl);
static int AQDB_DbDir__DeleteObjectFromLog(AQDB_DB *db, const AQDB_SESSION_LOG *sl);
static int AQDB_DbDir__UndoSession(AQDB_DB *db, AQDB_ID sid, GWEN_IDLIST64 *idlist);


#endif

